Bug 314382 - Unable to select multiple emails and then click right and select save attachments to save all attachments
Summary: Unable to select multiple emails and then click right and select save attachm...
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: commands and actions (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-03 21:17 UTC by Nick
Modified: 2013-03-21 08:40 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nick 2013-02-03 21:17:11 UTC
In kmail version 3, it was possible to select multiple emails, ie using CNTRL A etc then right click the selected emails and then select "save attachments". This would then save all attachments from all the selected emails. This option was very useful to me as I get several hundred emails sent to me with a pdf report attached and once a year I need to save all those PDF's in one location for processing. Currently I have to individually select every email and and save it's attachment which is very time consuming.

Reproducible: Always

Steps to Reproduce:
1. N/A See above. Feature request.
2.
3.
Actual Results:  
Unable to save all attachments from multiple selected emails with a single command.

Expected Results:  
Save all attachments from selected emails
Comment 1 Laurent Montel 2013-03-21 08:39:20 UTC
Git commit 0dffc4202259293f1ebb55b5c5300d1b77cde40d by Montel Laurent.
Committed on 21/03/2013 at 09:38.
Pushed by mlaurent into branch 'KDE/4.10'.

Fix Bug 314382 - Unable to select multiple emails and then click right and select save attachments to save all attachments

FIXED-IN: 4.10.2

M  +1    -1    kmail/kmmainwidget.cpp

http://commits.kde.org/kdepim/0dffc4202259293f1ebb55b5c5300d1b77cde40d